import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // global css

import App from './App'
import router from './router'
import store from './store'
import echarts from 'echarts'
import '@/icons' // icon
import '@/permission' // permission control
import curd from '@/utils/curd'
import time from 'time-formater'

import htmlToPdf from '@/vendor/htmlToPdf'
import Viewer from 'v-viewer'
import 'viewerjs/dist/viewer.css'
import VueBarcode from '@xkeshi/vue-barcode'
Vue.component('barcode', VueBarcode)

Vue.use(curd)
Vue.use(htmlToPdf)
Vue.use(ElementUI)
Vue.use(curd)
Vue.use(htmlToPdf)
Vue.use(ElementUI)
// 查看图片
Vue.use(Viewer)
Viewer.setDefaults({
  Options: { 'inline': true, 'button': true, 'navbar': true, 'title': true, 'toolbar': true, 'tooltip': true, 'movable': true, 'zoomable': true, 'rotatable': true, 'scalable': true, 'transition': true, 'fullscreen': true, 'keyboard': true, 'url': 'data-source' }
})

// 处理时间字符串格式全局过滤器 '2018/1/23 00:00:00' to '2018-01-23'
Vue.filter('formatTime', function(value) {
  if (!value) return ''
  const isTime = /^\d{4}([-\/.])\d{1,2}\1\d{1,2}/
  if (!isTime.test(value)) return value
  let result = time(value).format('YYYY-MM-DD')
  result = result.indexOf('1900-01-01') > -1 ? '' : result
  return result
})
Vue.prototype.$echarts = echarts
Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
